// file: $isip/class/mmedia/Splitter/splt_01.cc
// version: $Id: splt_01.cc 9965 2005-02-11 21:48:47Z raghavan $
//

// isip include files
//
#include "Splitter.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) information message
//
// return: a boolean value indicating status
//
// this method dumps the contents of an object to the console
//
boolean Splitter::debug(const unichar* msg_a) const {
  
  // build a debug string
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // write the machine database
  //
  mdb_d.debug(L"mdb_d");

  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}
